Tryton - Issues

 

Issue7853

Title Manage fixed amount projects
Priority feature Status resolved
Superseder Rely less on duration and more on amount
View: 7776
Nosy List ced, pokoli, reviewbot, risto3, roundup-bot
Type feature request Components project_invoice
Assigned To ced Keywords review
Reviews 46671002,289011002
View: 46671002, 289011002

Created on 2018-11-12.16:22:44 by pokoli, last changed by roundup-bot.

Messages
New changeset c0602a740481 by Cédric Krier in branch 'default':
Support fixed amount projects
https://hg.tryton.org/tryton-env/rev/c0602a740481
New changeset a7e81f1cf006 by Cédric Krier in branch 'default':
Allow not time based product on work
https://hg.tryton.org/modules/project_revenue/rev/a7e81f1cf006
New changeset 0711dab4c5f8 by Cédric Krier in branch 'default':
Manage invoicing not time based product
https://hg.tryton.org/modules/project_invoice/rev/0711dab4c5f8
review46671002 updated at https://codereview.tryton.org/46671002/#ps297191002
review46671002 updated at https://codereview.tryton.org/46671002/#ps291071002
review289011002 updated at https://codereview.tryton.org/289011002/#ps270951002
review46671002 updated at https://codereview.tryton.org/46671002/#ps253041003
review289011002 updated at https://codereview.tryton.org/289011002/#ps256521002
msg55229 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2020-02-05.17:29:06
I rely on the product UoM to decide if it is based on hours or not.
It adds as side effect to allow to invoice work without product as long as there is a list price and default revenue account defined.
msg55228 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2020-02-05.17:26:45
I have updated the reviews to depend on issue7776 design.
review46671002 updated at https://codereview.tryton.org/46671002/#ps1
msg44852 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2018-11-12.16:22:43
Following: https://discuss.tryton.org/t/manage-fixed-amount-projects/865
History
Date User Action Args
2020-03-28 13:07:19roundup-botsetmessages: + msg56727
2020-03-28 13:07:10roundup-botsetmessages: + msg56726
2020-03-28 13:07:04roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg56725
2020-03-07 00:01:35reviewbotsetmessages: + msg56140
2020-02-27 08:38:11risto3setnosy: + risto3
2020-02-07 23:58:23reviewbotsetmessages: + msg55284
2020-02-07 23:58:05reviewbotsetmessages: + msg55283
2020-02-05 17:46:47reviewbotsetmessages: + msg55231
2020-02-05 17:46:34reviewbotsetmessages: + msg55230
2020-02-05 17:29:06cedsetmessages: + msg55229

Showing 10 items. Show all history (warning: this could be VERY long)